Classes (extension) | UGens>User Interaction

# Slub : UGen : AbstractFunction : Object
Extension

generate cpu spikes
Source: Slub.sc

## Description

Take control over those lovely CPU hickups and add some excitement to your live set. But careful with the amount! Need to be trimmed for your particular CPU!

## Class Methods

### Slub.ar(trig: 0.0, spike: 4.04)

### Slub.kr(trig: 0.0, spike: 4.04)

For audio dropouts.

#### Arguments:

trig | Trigger input.
spike | Amount (7.0 pushes a spike with avg.cpu ~4600% on a TiBook 1Ghz).

### Slub.bang(spike: 4.04)

To mess up sclang's timing.

### Inherited class methods

## Instance Methods

### Inherited instance methods

### Undocumented instance methods

### .bang(spike: 4.04)

## Examples

//scserver example s.boot; ( //mouse in bottom right corner will cause a severe cpu spike { var trig; trig= MouseX.kr>0.99; Slub.kr(trig, MouseY.kr(2, 15)); //increase max value here a little if no effect SinOsc.ar([400, 404], 0, 0.1); }.play ) //sclang example ( p= Pbind(\dur, 0.25, \degree, Pshuf((0..10), inf)).play; x= Slub.new; ) x.bang(3) x.bang(4) x.bang(5) x.bang(4.9) x.bang(5.0) x.bang(5.5) x.bang(5.75) x.bang(6.0) p.stop;

helpfile source: /Users/zzk/Library/Application Support/SuperCollider/Extensions/f0plugins/Slub/HelpSource/Classes/Slub.schelp
link::Classes/Slub::